[arch-commits] Commit in openvpn/trunk (PKGBUILD)

Tobias Powalowski tpowa at archlinux.org
Wed Jun 3 09:03:56 EDT 2009


    Date: Wednesday, June 3, 2009 @ 09:03:56
  Author: tpowa
Revision: 41352

upgpkg: openvpn 2.0.9-6

Modified:
  openvpn/trunk/PKGBUILD

----------+
 PKGBUILD |   12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-06-03 10:55:17 UTC (rev 41351)
+++ PKGBUILD	2009-06-03 13:03:56 UTC (rev 41352)
@@ -3,7 +3,7 @@
 
 pkgname=openvpn
 pkgver=2.0.9
-pkgrel=5
+pkgrel=6
 pkgdesc="An easy-to-use, robust, and highly configurable VPN (Virtual Private Network)"
 arch=(i686 x86_64)
 url="http://openvpn.sourceforge.net/"
@@ -23,7 +23,15 @@
   cp -a sample-config-files $pkgdir/etc/openvpn/examples
   chmod 755 $pkgdir/etc/openvpn/examples
   install -D -m644 COPYING $pkgdir/usr/share/licenses/$pkgname/COPYING
-
+  # build pam-auth
+  cd $srcdir/$pkgname-$pkgver/plugin/auth-pam
+  make || return 1 
+  install -D -m755 openvpn-auth-pam.so $pkgdir/usr/share/openvpn/plugin/lib/openvpn-auth-pam.so
+  # build down-root
+  cd $srcdir/$pkgname-$pkgver/plugin/down-root
+  make || return 1 
+  install -D -m755 openvpn-down-root.so $pkgdir/usr/share/openvpn/plugin/lib/openvpn-down-root.so
   # Install easy-rsa
+  cd $srcdir/$pkgname-$pkgver
   make -C easy-rsa/2.0 install DESTDIR=$pkgdir PREFIX=usr/share/openvpn/easy-rsa
 }



More information about the arch-commits mailing list